

# Amazon Location Service Maps V2
<a name="API_Operations_Amazon_Location_Service_Maps_V2"></a>

The following actions are supported by Amazon Location Service Maps V2:
+  [GetGlyphs](API_geomaps_GetGlyphs.md) 
+  [GetSprites](API_geomaps_GetSprites.md) 
+  [GetStaticMap](API_geomaps_GetStaticMap.md) 
+  [GetStyleDescriptor](API_geomaps_GetStyleDescriptor.md) 
+  [GetTile](API_geomaps_GetTile.md) 

# GetGlyphs
<a name="API_geomaps_GetGlyphs"></a>

 `GetGlyphs` returns the map's glyphs.

For more information, see [Style labels with glyphs](https://docs.aws.amazon.com/location/latest/developerguide/styling-labels-with-glyphs.html) in the *Amazon Location Service Developer Guide*.

## Request Syntax
<a name="API_geomaps_GetGlyphs_RequestSyntax"></a>

```
GET /glyphs/FontStack/FontUnicodeRange HTTP/1.1
```

## URI Request Parameters
<a name="API_geomaps_GetGlyphs_RequestParameters"></a>

The request uses the following URI parameters.

 ** [FontStack](#API_geomaps_GetGlyphs_RequestSyntax) **   <a name="location-geomaps_GetGlyphs-request-uri-FontStack"></a>
Name of the `FontStack` to retrieve.   
Example: `Amazon Ember Bold,Noto Sans Bold`.  
The supported font stacks are as follows:  
+ Amazon Ember Bold
+ Amazon Ember Bold Italic
+ Amazon Ember Bold,Noto Sans Bold
+ Amazon Ember Bold,Noto Sans Bold,Noto Sans Arabic Bold
+ Amazon Ember Condensed RC BdItalic
+ Amazon Ember Condensed RC Bold
+ Amazon Ember Condensed RC Bold Italic
+ Amazon Ember Condensed RC Bold,Noto Sans Bold
+ Amazon Ember Condensed RC Bold,Noto Sans Bold,Noto Sans Arabic Condensed Bold
+ Amazon Ember Condensed RC Light
+ Amazon Ember Condensed RC Light Italic
+ Amazon Ember Condensed RC LtItalic
+ Amazon Ember Condensed RC Regular
+ Amazon Ember Condensed RC Regular Italic
+ Amazon Ember Condensed RC Regular,Noto Sans Regular
+ Amazon Ember Condensed RC Regular,Noto Sans Regular,Noto Sans Arabic Condensed Regular
+ Amazon Ember Condensed RC RgItalic
+ Amazon Ember Condensed RC ThItalic
+ Amazon Ember Condensed RC Thin
+ Amazon Ember Condensed RC Thin Italic
+ Amazon Ember Heavy
+ Amazon Ember Heavy Italic
+ Amazon Ember Light
+ Amazon Ember Light Italic
+ Amazon Ember Medium
+ Amazon Ember Medium Italic
+ Amazon Ember Medium,Noto Sans Medium
+ Amazon Ember Medium,Noto Sans Medium,Noto Sans Arabic Medium
+ Amazon Ember Regular
+ Amazon Ember Regular Italic
+ Amazon Ember Regular Italic,Noto Sans Italic
+ Amazon Ember Regular Italic,Noto Sans Italic,Noto Sans Arabic Regular
+ Amazon Ember Regular,Noto Sans Regular
+ Amazon Ember Regular,Noto Sans Regular,Noto Sans Arabic Regular
+ Amazon Ember Thin
+ Amazon Ember Thin Italic
+ AmazonEmberCdRC\$1Bd
+ AmazonEmberCdRC\$1BdIt
+ AmazonEmberCdRC\$1Lt
+ AmazonEmberCdRC\$1LtIt
+ AmazonEmberCdRC\$1Rg
+ AmazonEmberCdRC\$1RgIt
+ AmazonEmberCdRC\$1Th
+ AmazonEmberCdRC\$1ThIt
+ AmazonEmber\$1Bd
+ AmazonEmber\$1BdIt
+ AmazonEmber\$1He
+ AmazonEmber\$1HeIt
+ AmazonEmber\$1Lt
+ AmazonEmber\$1LtIt
+ AmazonEmber\$1Md
+ AmazonEmber\$1MdIt
+ AmazonEmber\$1Rg
+ AmazonEmber\$1RgIt
+ AmazonEmber\$1Th
+ AmazonEmber\$1ThIt
+ Noto Sans Black
+ Noto Sans Black Italic
+ Noto Sans Bold
+ Noto Sans Bold Italic
+ Noto Sans Extra Bold
+ Noto Sans Extra Bold Italic
+ Noto Sans Extra Light
+ Noto Sans Extra Light Italic
+ Noto Sans Italic
+ Noto Sans Light
+ Noto Sans Light Italic
+ Noto Sans Medium
+ Noto Sans Medium Italic
+ Noto Sans Regular
+ Noto Sans Semi Bold
+ Noto Sans Semi Bold Italic
+ Noto Sans Thin
+ Noto Sans Thin Italic
+ NotoSans-Bold
+ NotoSans-Italic
+ NotoSans-Medium
+ NotoSans-Regular
+ Open Sans Regular,Arial Unicode MS Regular
Length Constraints: Minimum length of 0. Maximum length of 1000.  
Required: Yes

 ** [FontUnicodeRange](#API_geomaps_GetGlyphs_RequestSyntax) **   <a name="location-geomaps_GetGlyphs-request-uri-FontUnicodeRange"></a>
A Unicode range of characters to download glyphs for. This must be aligned to multiples of 256.   
Example: `0-255.pbf`   
Length Constraints: Minimum length of 0. Maximum length of 50.  
Pattern: `[0-9]+-[0-9]+\.pbf`   
Required: Yes

## Request Body
<a name="API_geomaps_GetGlyphs_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_geomaps_GetGlyphs_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-Type: ContentType
Cache-Control: CacheControl
ETag: ETag

Blob
```

## Response Elements
<a name="API_geomaps_GetGlyphs_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The response returns the following HTTP headers.

 ** [CacheControl](#API_geomaps_GetGlyphs_ResponseSyntax) **   <a name="location-geomaps_GetGlyphs-response-CacheControl"></a>
Header that instructs caching configuration for the client.

 ** [ContentType](#API_geomaps_GetGlyphs_ResponseSyntax) **   <a name="location-geomaps_GetGlyphs-response-ContentType"></a>
Header that represents the format of the response. The response returns the following as the HTTP body.

 ** [ETag](#API_geomaps_GetGlyphs_ResponseSyntax) **   <a name="location-geomaps_GetGlyphs-response-ETag"></a>
The glyph's Etag.

The response returns the following as the HTTP body.

 ** [Blob](#API_geomaps_GetGlyphs_ResponseSyntax) **   <a name="location-geomaps_GetGlyphs-response-Blob"></a>
The Glyph, as a binary blob.

## Errors
<a name="API_geomaps_GetGlyphs_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

## See Also
<a name="API_geomaps_GetGlyphs_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/geo-maps-2020-11-19/GetGlyphs) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/geo-maps-2020-11-19/GetGlyphs) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/geo-maps-2020-11-19/GetGlyphs) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/geo-maps-2020-11-19/GetGlyphs) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/geo-maps-2020-11-19/GetGlyphs) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/geo-maps-2020-11-19/GetGlyphs) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/geo-maps-2020-11-19/GetGlyphs) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/geo-maps-2020-11-19/GetGlyphs) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/geo-maps-2020-11-19/GetGlyphs) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/geo-maps-2020-11-19/GetGlyphs) 

# GetSprites
<a name="API_geomaps_GetSprites"></a>

 `GetSprites` returns the map's sprites.

For more information, see [Style iconography with sprites](https://docs.aws.amazon.com/location/latest/developerguide/styling-iconography-with-sprites.html) in the *Amazon Location Service Developer Guide*.

## Request Syntax
<a name="API_geomaps_GetSprites_RequestSyntax"></a>

```
GET /styles/Style/ColorScheme/Variant/sprites/FileName HTTP/1.1
```

## URI Request Parameters
<a name="API_geomaps_GetSprites_RequestParameters"></a>

The request uses the following URI parameters.

 ** [ColorScheme](#API_geomaps_GetSprites_RequestSyntax) **   <a name="location-geomaps_GetSprites-request-uri-ColorScheme"></a>
Sets the color tone for the map sprites, such as dark and light.  
Example: `Light`   
Default value: `Light`   
Valid values for ColorScheme are case sensitive.
Valid Values: `Light | Dark`   
Required: Yes

 ** [FileName](#API_geomaps_GetSprites_RequestSyntax) **   <a name="location-geomaps_GetSprites-request-uri-FileName"></a>
 `Sprites` API: The name of the sprite ﬁle to retrieve, following pattern `sprites(@2x)?\.(png|json)`.  
Example: `sprites.png`   
Pattern: `sprites(@2x)?\.(png|json)`   
Required: Yes

 ** [Style](#API_geomaps_GetSprites_RequestSyntax) **   <a name="location-geomaps_GetSprites-request-uri-Style"></a>
Style specifies the desired map style for the `Sprites` APIs.  
Valid Values: `Standard | Monochrome | Hybrid | Satellite`   
Required: Yes

 ** [Variant](#API_geomaps_GetSprites_RequestSyntax) **   <a name="location-geomaps_GetSprites-request-uri-Variant"></a>
Optimizes map styles for specific use case or industry. You can choose allowed variant only with Standard map style.  
Example: `Default`   
Valid values for Variant are case sensitive.
Valid Values: `Default`   
Required: Yes

## Request Body
<a name="API_geomaps_GetSprites_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_geomaps_GetSprites_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-Type: ContentType
Cache-Control: CacheControl
ETag: ETag

Blob
```

## Response Elements
<a name="API_geomaps_GetSprites_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The response returns the following HTTP headers.

 ** [CacheControl](#API_geomaps_GetSprites_ResponseSyntax) **   <a name="location-geomaps_GetSprites-response-CacheControl"></a>
Header that instructs caching configuration for the client.

 ** [ContentType](#API_geomaps_GetSprites_ResponseSyntax) **   <a name="location-geomaps_GetSprites-response-ContentType"></a>
Header that represents the format of the response. The response returns the following as the HTTP body.

 ** [ETag](#API_geomaps_GetSprites_ResponseSyntax) **   <a name="location-geomaps_GetSprites-response-ETag"></a>
The sprite's Etag.

The response returns the following as the HTTP body.

 ** [Blob](#API_geomaps_GetSprites_ResponseSyntax) **   <a name="location-geomaps_GetSprites-response-Blob"></a>
The body of the sprite sheet or JSON offset file (image/png or application/json, depending on input).

## Errors
<a name="API_geomaps_GetSprites_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

## See Also
<a name="API_geomaps_GetSprites_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/geo-maps-2020-11-19/GetSprites) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/geo-maps-2020-11-19/GetSprites) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/geo-maps-2020-11-19/GetSprites) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/geo-maps-2020-11-19/GetSprites) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/geo-maps-2020-11-19/GetSprites) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/geo-maps-2020-11-19/GetSprites) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/geo-maps-2020-11-19/GetSprites) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/geo-maps-2020-11-19/GetSprites) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/geo-maps-2020-11-19/GetSprites) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/geo-maps-2020-11-19/GetSprites) 

# GetStaticMap
<a name="API_geomaps_GetStaticMap"></a>

**Note**  
This operation is not supported in `ap-southeast-1` and `ap-southeast-5` regions for [GrabMaps](https://docs.aws.amazon.com/location/latest/developerguide/GrabMaps.html) customers. 

 `GetStaticMap` provides high-quality static map images with customizable options. You can modify the map's appearance and overlay additional information. It's an ideal solution for applications requiring tailored static map snapshots.

For more information, see the following topics in the *Amazon Location Service Developer Guide*:
+  [Static maps](https://docs.aws.amazon.com/location/latest/developerguide/static-maps.html) 
+  [Customize static maps](https://docs.aws.amazon.com/location/latest/developerguide/customizing-static-maps.html) 
+  [Overlay on the static map](https://docs.aws.amazon.com/location/latest/developerguide/overlaying-static-map.html) 

## Request Syntax
<a name="API_geomaps_GetStaticMap_RequestSyntax"></a>

```
GET /static/FileName?bounded-positions=BoundedPositions&bounding-box=BoundingBox&center=Center&color-scheme=ColorScheme&compact-overlay=CompactOverlay&crop-labels=CropLabels&geojson-overlay=GeoJsonOverlay&height=Height&key=Key&label-size=LabelSize&lang=Language&padding=Padding&pois=PointsOfInterests&political-view=PoliticalView&radius=Radius&scale-unit=ScaleBarUnit&style=Style&width=Width&zoom=Zoom HTTP/1.1
```

## URI Request Parameters
<a name="API_geomaps_GetStaticMap_RequestParameters"></a>

The request uses the following URI parameters.

 ** [BoundedPositions](#API_geomaps_GetStaticMap_RequestSyntax) **   <a name="location-geomaps_GetStaticMap-request-uri-BoundedPositions"></a>
Takes in two or more pair of coordinates in World Geodetic System (WGS 84) format: [longitude, latitude], with each coordinate separated by a comma. The API will generate an image to encompass all of the provided coordinates.   
Cannot be used with `Zoom` and or `Radius` 
Example: 97.170451,78.039098,99.045536,27.176178  
Length Constraints: Minimum length of 0. Maximum length of 5000.  
Pattern: `(-?\d{1,3}(\.\d{1,14})?,-?\d{1,2}(\.\d{1,14})?)(,(-?\d{1,3}(\.\d{1,14})?,-?\d{1,2}(\.\d{1,14})?))*` 

 ** [BoundingBox](#API_geomaps_GetStaticMap_RequestSyntax) **   <a name="location-geomaps_GetStaticMap-request-uri-BoundingBox"></a>
Takes in two pairs of coordinates in World Geodetic System (WGS 84) format: [longitude, latitude], denoting south-westerly and north-easterly edges of the image. The underlying area becomes the view of the image.   
Example: -123.17075,49.26959,-123.08125,49.31429  
Length Constraints: Minimum length of 0. Maximum length of 100.  
Pattern: `(-?\d{1,3}(\.\d{1,14})?,-?\d{1,2}(\.\d{1,14})?)(,(-?\d{1,3}(\.\d{1,14})?,-?\d{1,2}(\.\d{1,14})?))*` 

 ** [Center](#API_geomaps_GetStaticMap_RequestSyntax) **   <a name="location-geomaps_GetStaticMap-request-uri-Center"></a>
Takes in a pair of coordinates in World Geodetic System (WGS 84) format: [longitude, latitude], which becomes the center point of the image. This parameter requires that either zoom or radius is set.  
Cannot be used with `Zoom` and or `Radius` 
Example: 49.295,-123.108  
Length Constraints: Minimum length of 3. Maximum length of 36.  
Pattern: `-?\d{1,3}(\.\d{1,14})?,-?\d{1,2}(\.\d{1,14})?` 

 ** [ColorScheme](#API_geomaps_GetStaticMap_RequestSyntax) **   <a name="location-geomaps_GetStaticMap-request-uri-ColorScheme"></a>
Sets the color tone for the map, such as dark and light.  
Example: `Light`   
Default value: `Light`   
Valid values for `ColorScheme` are case sensitive.
Valid Values: `Light | Dark` 

 ** [CompactOverlay](#API_geomaps_GetStaticMap_RequestSyntax) **   <a name="location-geomaps_GetStaticMap-request-uri-CompactOverlay"></a>
Takes in a string to draw geometries on the image. The input is a comma separated format as follows format: `[Lon, Lat]`   
Example: `line:-122.407653,37.798557,-122.413291,37.802443;color=%23DD0000;width=7;outline-color=#00DD00;outline-width=5yd|point:-122.40572,37.80004;label=Fog Hill Market;size=large;text-color=%23DD0000;color=#EE4B2B`   
Currently it supports the following geometry types: point, line and polygon. It does not support multiPoint , multiLine and multiPolgyon.
Length Constraints: Minimum length of 1. Maximum length of 5000.

 ** [CropLabels](#API_geomaps_GetStaticMap_RequestSyntax) **   <a name="location-geomaps_GetStaticMap-request-uri-CropLabels"></a>
It is a flag that takes in true or false. It prevents the labels that are on the edge of the image from being cut or obscured.

 ** [FileName](#API_geomaps_GetStaticMap_RequestSyntax) **   <a name="location-geomaps_GetStaticMap-request-uri-FileName"></a>
The map scaling parameter to size the image, icons, and labels. It follows the pattern of `^map(@2x)?$`.  
Example: `map, map@2x`   
Pattern: `map(@2x)?`   
Required: Yes

 ** [GeoJsonOverlay](#API_geomaps_GetStaticMap_RequestSyntax) **   <a name="location-geomaps_GetStaticMap-request-uri-GeoJsonOverlay"></a>
Takes in a string to draw geometries on the image. The input is a valid GeoJSON collection object.   
Example: `{"type":"FeatureCollection","features": [{"type":"Feature","geometry":{"type":"MultiPoint","coordinates": [[-90.076345,51.504107],[-0.074451,51.506892]]},"properties": {"color":"#00DD00"}}]}`   
Length Constraints: Minimum length of 1. Maximum length of 4200.

 ** [Height](#API_geomaps_GetStaticMap_RequestSyntax) **   <a name="location-geomaps_GetStaticMap-request-uri-Height"></a>
Specifies the height of the map image.  
Valid Range: Minimum value of 64. Maximum value of 1400.  
Required: Yes

 ** [Key](#API_geomaps_GetStaticMap_RequestSyntax) **   <a name="location-geomaps_GetStaticMap-request-uri-Key"></a>
Optional: The API key to be used for authorization. Either an API key or valid SigV4 signature must be provided when making a request.   
Length Constraints: Minimum length of 0. Maximum length of 1000.

 ** [LabelSize](#API_geomaps_GetStaticMap_RequestSyntax) **   <a name="location-geomaps_GetStaticMap-request-uri-LabelSize"></a>
Overrides the label size auto-calculated by `FileName`. Takes in one of the values - `Small` or `Large`.  
Valid Values: `Small | Large` 

 ** [Language](#API_geomaps_GetStaticMap_RequestSyntax) **   <a name="location-geomaps_GetStaticMap-request-uri-Language"></a>
Specifies the language on the map labels using the BCP 47 language tag, limited to ISO 639-1 two-letter language codes. If the specified language data isn't available for the map image, the labels will default to the regional primary language.  
Supported codes:  
+  `ar` 
+  `as` 
+  `az` 
+  `be` 
+  `bg` 
+  `bn` 
+  `bs` 
+  `ca` 
+  `cs` 
+  `cy` 
+  `da` 
+  `de` 
+  `el` 
+  `en` 
+  `es` 
+  `et` 
+  `eu` 
+  `fi` 
+  `fo` 
+  `fr` 
+  `ga` 
+  `gl` 
+  `gn` 
+  `gu` 
+  `he` 
+  `hi` 
+  `hr` 
+  `hu` 
+  `hy` 
+  `id` 
+  `is` 
+  `it` 
+  `ja` 
+  `ka` 
+  `kk` 
+  `km` 
+  `kn` 
+  `ko` 
+  `ky` 
+  `lt` 
+  `lv` 
+  `mk` 
+  `ml` 
+  `mr` 
+  `ms` 
+  `mt` 
+  `my` 
+  `nl` 
+  `no` 
+  `or` 
+  `pa` 
+  `pl` 
+  `pt` 
+  `ro` 
+  `ru` 
+  `sk` 
+  `sl` 
+  `sq` 
+  `sr` 
+  `sv` 
+  `ta` 
+  `te` 
+  `th` 
+  `tr` 
+  `uk` 
+  `uz` 
+  `vi` 
+  `zh` 
Length Constraints: Minimum length of 2. Maximum length of 35.

 ** [Padding](#API_geomaps_GetStaticMap_RequestSyntax) **   <a name="location-geomaps_GetStaticMap-request-uri-Padding"></a>
Applies additional space (in pixels) around overlay feature to prevent them from being cut or obscured.  
Value for max and min is determined by:  
Min: `1`   
Max: `min(height, width)/4` 
Example: `100`   
Valid Range: Minimum value of 0. Maximum value of 350.

 ** [PointsOfInterests](#API_geomaps_GetStaticMap_RequestSyntax) **   <a name="location-geomaps_GetStaticMap-request-uri-PointsOfInterests"></a>
Determines if the result image will display icons representing points of interest on the map.  
Valid Values: `Enabled | Disabled` 

 ** [PoliticalView](#API_geomaps_GetStaticMap_RequestSyntax) **   <a name="location-geomaps_GetStaticMap-request-uri-PoliticalView"></a>
Specifies the political view, using ISO 3166-2 or ISO 3166-3 country code format.  
The following political views are currently supported:  
+  `ARG`: Argentina's view on the Southern Patagonian Ice Field and Tierra Del Fuego, including the Falkland Islands, South Georgia, and South Sandwich Islands
+  `EGY`: Egypt's view on Bir Tawil
+  `IND`: India's view on Gilgit-Baltistan
+  `KEN`: Kenya's view on the Ilemi Triangle
+  `MAR`: Morocco's view on Western Sahara
+  `RUS`: Russia's view on Crimea
+  `SDN`: Sudan's view on the Halaib Triangle
+  `SRB`: Serbia's view on Kosovo, Vukovar, and Sarengrad Islands
+  `SUR`: Suriname's view on the Courantyne Headwaters and Lawa Headwaters
+  `SYR`: Syria's view on the Golan Heights
+  `TUR`: Turkey's view on Cyprus and Northern Cyprus
+  `TZA`: Tanzania's view on Lake Malawi
+  `URY`: Uruguay's view on Rincon de Artigas
+  `VNM`: Vietnam's view on the Paracel Islands and Spratly Islands
Length Constraints: Minimum length of 2. Maximum length of 3.  
Pattern: `([A-Z]{2}|[A-Z]{3})` 

 ** [Radius](#API_geomaps_GetStaticMap_RequestSyntax) **   <a name="location-geomaps_GetStaticMap-request-uri-Radius"></a>
Used with center parameter, it specifies the zoom of the image where you can control it on a granular level. Takes in any value `>= 1`.   
Example: `1500`   
Cannot be used with `Zoom`.
 **Unit**: `Meters`   
  
Valid Range: Minimum value of 0. Maximum value of 4294967295.

 ** [ScaleBarUnit](#API_geomaps_GetStaticMap_RequestSyntax) **   <a name="location-geomaps_GetStaticMap-request-uri-ScaleBarUnit"></a>
Displays a scale on the bottom right of the map image with the unit specified in the input.   
Example: `KilometersMiles, Miles, Kilometers, MilesKilometers`   
Valid Values: `Kilometers | KilometersMiles | Miles | MilesKilometers` 

 ** [Style](#API_geomaps_GetStaticMap_RequestSyntax) **   <a name="location-geomaps_GetStaticMap-request-uri-Style"></a>
 `Style` specifies the desired map style.  
Valid Values: `Satellite | Standard` 

 ** [Width](#API_geomaps_GetStaticMap_RequestSyntax) **   <a name="location-geomaps_GetStaticMap-request-uri-Width"></a>
Specifies the width of the map image.  
Valid Range: Minimum value of 64. Maximum value of 1400.  
Required: Yes

 ** [Zoom](#API_geomaps_GetStaticMap_RequestSyntax) **   <a name="location-geomaps_GetStaticMap-request-uri-Zoom"></a>
Specifies the zoom level of the map image.  
Cannot be used with `Radius`.
Valid Range: Minimum value of 0. Maximum value of 20.

## Request Body
<a name="API_geomaps_GetStaticMap_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_geomaps_GetStaticMap_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-Type: ContentType
Cache-Control: CacheControl
ETag: ETag
x-amz-geo-pricing-bucket: PricingBucket

Blob
```

## Response Elements
<a name="API_geomaps_GetStaticMap_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The response returns the following HTTP headers.

 ** [CacheControl](#API_geomaps_GetStaticMap_ResponseSyntax) **   <a name="location-geomaps_GetStaticMap-response-CacheControl"></a>
Header that instructs caching configuration for the client.

 ** [ContentType](#API_geomaps_GetStaticMap_ResponseSyntax) **   <a name="location-geomaps_GetStaticMap-response-ContentType"></a>
Header that represents the format of the response. The response returns the following as the HTTP body.

 ** [ETag](#API_geomaps_GetStaticMap_ResponseSyntax) **   <a name="location-geomaps_GetStaticMap-response-ETag"></a>
The static map's Etag.

 ** [PricingBucket](#API_geomaps_GetStaticMap_ResponseSyntax) **   <a name="location-geomaps_GetStaticMap-response-PricingBucket"></a>
The pricing bucket for which the request is charged at.

The response returns the following as the HTTP body.

 ** [Blob](#API_geomaps_GetStaticMap_ResponseSyntax) **   <a name="location-geomaps_GetStaticMap-response-Blob"></a>
The blob represents a map image as a `jpeg` for the `GetStaticMap` API.

## Errors
<a name="API_geomaps_GetStaticMap_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The request was denied because of insufficient access or permissions. Check with an administrator to verify your permissions.  
HTTP Status Code: 403

 ** InternalServerException **   
The request processing has failed because of an unknown error, exception or failure.  
HTTP Status Code: 500

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.    
 ** FieldList **   
A message with the reason for the validation exception error.  
 ** Reason **   
The field where the invalid entry was detected.
HTTP Status Code: 400

## See Also
<a name="API_geomaps_GetStaticMap_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/geo-maps-2020-11-19/GetStaticMap) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/geo-maps-2020-11-19/GetStaticMap) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/geo-maps-2020-11-19/GetStaticMap) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/geo-maps-2020-11-19/GetStaticMap) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/geo-maps-2020-11-19/GetStaticMap) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/geo-maps-2020-11-19/GetStaticMap) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/geo-maps-2020-11-19/GetStaticMap) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/geo-maps-2020-11-19/GetStaticMap) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/geo-maps-2020-11-19/GetStaticMap) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/geo-maps-2020-11-19/GetStaticMap) 

# GetStyleDescriptor
<a name="API_geomaps_GetStyleDescriptor"></a>

 `GetStyleDescriptor` returns information about the style.

For more information, see [Style dynamic maps](https://docs.aws.amazon.com/location/latest/developerguide/styling-dynamic-maps.html) in the *Amazon Location Service Developer Guide*.

## Request Syntax
<a name="API_geomaps_GetStyleDescriptor_RequestSyntax"></a>

```
GET /styles/Style/descriptor?buildings=Buildings&color-scheme=ColorScheme&contour-density=ContourDensity&key=Key&political-view=PoliticalView&terrain=Terrain&traffic=Traffic&travel-modes=TravelModes HTTP/1.1
```

## URI Request Parameters
<a name="API_geomaps_GetStyleDescriptor_RequestParameters"></a>

The request uses the following URI parameters.

 ** [Buildings](#API_geomaps_GetStyleDescriptor_RequestSyntax) **   <a name="location-geomaps_GetStyleDescriptor-request-uri-Buildings"></a>
Adjusts how building details are rendered on the map.  
The following building styles are currently supported:  
+  `Buildings3D`: Displays buildings as three-dimensional extrusions on the map.
 `Buildings3D` is valid only for the `Standard` and `Monochrome` map styles.  
Valid Values: `Buildings3D` 

 ** [ColorScheme](#API_geomaps_GetStyleDescriptor_RequestSyntax) **   <a name="location-geomaps_GetStyleDescriptor-request-uri-ColorScheme"></a>
Sets the color tone for the map, such as dark and light.  
Example: `Light`   
Default value: `Light`   
Valid values for ColorScheme are case sensitive.
Valid Values: `Light | Dark` 

 ** [ContourDensity](#API_geomaps_GetStyleDescriptor_RequestSyntax) **   <a name="location-geomaps_GetStyleDescriptor-request-uri-ContourDensity"></a>
Displays the shape and steepness of terrain features using elevation lines. The density value controls how densely the available contour line information is rendered on the map. Not supported in `ap-southeast-1` and `ap-southeast-5` regions for [GrabMaps](https://docs.aws.amazon.com/location/latest/developerguide/GrabMaps.html) customers.  
This parameter is valid for all map styles except `Satellite`.  
Valid Values: `Low | Medium | High` 

 ** [Key](#API_geomaps_GetStyleDescriptor_RequestSyntax) **   <a name="location-geomaps_GetStyleDescriptor-request-uri-Key"></a>
Optional: The API key to be used for authorization. Either an API key or valid SigV4 signature must be provided when making a request.   
Length Constraints: Minimum length of 0. Maximum length of 1000.

 ** [PoliticalView](#API_geomaps_GetStyleDescriptor_RequestSyntax) **   <a name="location-geomaps_GetStyleDescriptor-request-uri-PoliticalView"></a>
Specifies the political view using ISO 3166-2 or ISO 3166-3 country code format. Not supported in `ap-southeast-1` and `ap-southeast-5` regions for [GrabMaps](https://docs.aws.amazon.com/location/latest/developerguide/GrabMaps.html) customers.  
The following political views are currently supported:  
+  `ARG`: Argentina's view on the Southern Patagonian Ice Field and Tierra Del Fuego, including the Falkland Islands, South Georgia, and South Sandwich Islands
+  `EGY`: Egypt's view on Bir Tawil
+  `IND`: India's view on Gilgit-Baltistan
+  `KEN`: Kenya's view on the Ilemi Triangle
+  `MAR`: Morocco's view on Western Sahara
+  `RUS`: Russia's view on Crimea
+  `SDN`: Sudan's view on the Halaib Triangle
+  `SRB`: Serbia's view on Kosovo, Vukovar, and Sarengrad Islands
+  `SUR`: Suriname's view on the Courantyne Headwaters and Lawa Headwaters
+  `SYR`: Syria's view on the Golan Heights
+  `TUR`: Turkey's view on Cyprus and Northern Cyprus
+  `TZA`: Tanzania's view on Lake Malawi
+  `URY`: Uruguay's view on Rincon de Artigas
+  `VNM`: Vietnam's view on the Paracel Islands and Spratly Islands
Length Constraints: Minimum length of 2. Maximum length of 3.  
Pattern: `([A-Z]{2}|[A-Z]{3})` 

 ** [Style](#API_geomaps_GetStyleDescriptor_RequestSyntax) **   <a name="location-geomaps_GetStyleDescriptor-request-uri-Style"></a>
Style specifies the desired map style. For [GrabMaps](https://docs.aws.amazon.com/location/latest/developerguide/GrabMaps.html) customers, `ap-southeast-1` and `ap-southeast-5` regions support only the `Standard` and `Monochrome` values.  
Valid Values: `Standard | Monochrome | Hybrid | Satellite`   
Required: Yes

 ** [Terrain](#API_geomaps_GetStyleDescriptor_RequestSyntax) **   <a name="location-geomaps_GetStyleDescriptor-request-uri-Terrain"></a>
Adjusts how physical terrain details are rendered on the map. Not supported in `ap-southeast-1` and `ap-southeast-5` regions for [GrabMaps](https://docs.aws.amazon.com/location/latest/developerguide/GrabMaps.html) customers.  
The following terrain styles are currently supported:  
+  `Hillshade`: Displays the physical terrain details through shading and highlighting of elevation change and geographic features.
+  `Terrain3D`: Displays physical terrain details and elevations as a three-dimensional model.
 `Hillshade` is valid only for the `Standard` and `Monochrome` map styles.  
Valid Values: `Hillshade | Terrain3D` 

 ** [Traffic](#API_geomaps_GetStyleDescriptor_RequestSyntax) **   <a name="location-geomaps_GetStyleDescriptor-request-uri-Traffic"></a>
Displays real-time traffic information overlay on map, such as incident events and flow events. Not supported in `ap-southeast-1` and `ap-southeast-5` regions for [GrabMaps](https://docs.aws.amazon.com/location/latest/developerguide/GrabMaps.html) customers.  
This parameter is valid for all map styles except `Satellite`.  
Valid Values: `All | Congestion` 

 ** [TravelModes](#API_geomaps_GetStyleDescriptor_RequestSyntax) **   <a name="location-geomaps_GetStyleDescriptor-request-uri-TravelModes"></a>
Renders additional map information relevant to selected travel modes. Information for multiple travel modes can be displayed simultaneously, although this increases the overall information density rendered on the map. Not supported in `ap-southeast-1` and `ap-southeast-5` regions for [GrabMaps](https://docs.aws.amazon.com/location/latest/developerguide/GrabMaps.html) customers.  
This parameter is valid for all map styles except `Satellite`.  
Array Members: Minimum number of 0 items. Maximum number of 2 items.  
Valid Values: `Transit | Truck` 

## Request Body
<a name="API_geomaps_GetStyleDescriptor_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_geomaps_GetStyleDescriptor_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-Type: ContentType
Cache-Control: CacheControl
ETag: ETag

Blob
```

## Response Elements
<a name="API_geomaps_GetStyleDescriptor_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The response returns the following HTTP headers.

 ** [CacheControl](#API_geomaps_GetStyleDescriptor_ResponseSyntax) **   <a name="location-geomaps_GetStyleDescriptor-response-CacheControl"></a>
Header that instructs caching configuration for the client.

 ** [ContentType](#API_geomaps_GetStyleDescriptor_ResponseSyntax) **   <a name="location-geomaps_GetStyleDescriptor-response-ContentType"></a>
Header that represents the format of the response. The response returns the following as the HTTP body.

 ** [ETag](#API_geomaps_GetStyleDescriptor_ResponseSyntax) **   <a name="location-geomaps_GetStyleDescriptor-response-ETag"></a>
The style descriptor's Etag.

The response returns the following as the HTTP body.

 ** [Blob](#API_geomaps_GetStyleDescriptor_ResponseSyntax) **   <a name="location-geomaps_GetStyleDescriptor-response-Blob"></a>
This Blob contains the body of the style descriptor which is in application/json format.

## Errors
<a name="API_geomaps_GetStyleDescriptor_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

## See Also
<a name="API_geomaps_GetStyleDescriptor_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/geo-maps-2020-11-19/GetStyleDescriptor) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/geo-maps-2020-11-19/GetStyleDescriptor) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/geo-maps-2020-11-19/GetStyleDescriptor) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/geo-maps-2020-11-19/GetStyleDescriptor) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/geo-maps-2020-11-19/GetStyleDescriptor) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/geo-maps-2020-11-19/GetStyleDescriptor) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/geo-maps-2020-11-19/GetStyleDescriptor) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/geo-maps-2020-11-19/GetStyleDescriptor) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/geo-maps-2020-11-19/GetStyleDescriptor) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/geo-maps-2020-11-19/GetStyleDescriptor) 

# GetTile
<a name="API_geomaps_GetTile"></a>

 `GetTile` returns a tile. Map tiles are used by clients to render a map. They're addressed using a grid arrangement with an X coordinate, Y coordinate, and Z (zoom) level.

For more information, see [Tiles](https://docs.aws.amazon.com/location/latest/developerguide/tiles.html) in the *Amazon Location Service Developer Guide*.

## Request Syntax
<a name="API_geomaps_GetTile_RequestSyntax"></a>

```
GET /tiles/Tileset/Z/X/Y?additional-features=AdditionalFeatures&key=Key HTTP/1.1
```

## URI Request Parameters
<a name="API_geomaps_GetTile_RequestParameters"></a>

The request uses the following URI parameters.

 ** [AdditionalFeatures](#API_geomaps_GetTile_RequestSyntax) **   <a name="location-geomaps_GetTile-request-uri-AdditionalFeatures"></a>
A list of optional additional parameters such as map styles that can be requested for each result. Not supported in `ap-southeast-1` and `ap-southeast-5` regions for [GrabMaps](https://docs.aws.amazon.com/location/latest/developerguide/GrabMaps.html) customers.  
Array Members: Minimum number of 0 items. Maximum number of 4 items.  
Valid Values: `ContourLines | Hillshade | Logistics | Transit` 

 ** [Key](#API_geomaps_GetTile_RequestSyntax) **   <a name="location-geomaps_GetTile-request-uri-Key"></a>
Optional: The API key to be used for authorization. Either an API key or valid SigV4 signature must be provided when making a request.   
Length Constraints: Minimum length of 0. Maximum length of 1000.

 ** [Tileset](#API_geomaps_GetTile_RequestSyntax) **   <a name="location-geomaps_GetTile-request-uri-Tileset"></a>
Specifies the desired tile set. For [GrabMaps](https://docs.aws.amazon.com/location/latest/developerguide/GrabMaps.html) customers, `ap-southeast-1` and `ap-southeast-5` regions support only the `vector.basemap` value.  
Valid Values: `raster.satellite | vector.basemap | vector.traffic | raster.dem`   
Length Constraints: Minimum length of 1. Maximum length of 100.  
Pattern: `[-.\w]+`   
Required: Yes

 ** [X](#API_geomaps_GetTile_RequestSyntax) **   <a name="location-geomaps_GetTile-request-uri-X"></a>
The X axis value for the map tile.  
Length Constraints: Minimum length of 0. Maximum length of 7.  
Pattern: `.*\d+.*`   
Required: Yes

 ** [Y](#API_geomaps_GetTile_RequestSyntax) **   <a name="location-geomaps_GetTile-request-uri-Y"></a>
The Y axis value for the map tile.  
Length Constraints: Minimum length of 0. Maximum length of 7.  
Pattern: `.*\d+.*`   
Required: Yes

 ** [Z](#API_geomaps_GetTile_RequestSyntax) **   <a name="location-geomaps_GetTile-request-uri-Z"></a>
The zoom value for the map tile.  
Length Constraints: Minimum length of 0. Maximum length of 2.  
Pattern: `.*\d+.*`   
Required: Yes

## Request Body
<a name="API_geomaps_GetTile_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_geomaps_GetTile_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-Type: ContentType
Cache-Control: CacheControl
ETag: ETag
x-amz-geo-pricing-bucket: PricingBucket

Blob
```

## Response Elements
<a name="API_geomaps_GetTile_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The response returns the following HTTP headers.

 ** [CacheControl](#API_geomaps_GetTile_ResponseSyntax) **   <a name="location-geomaps_GetTile-response-CacheControl"></a>
Header that instructs caching configuration for the client.

 ** [ContentType](#API_geomaps_GetTile_ResponseSyntax) **   <a name="location-geomaps_GetTile-response-ContentType"></a>
Header that represents the format of the response. The response returns the following as the HTTP body.

 ** [ETag](#API_geomaps_GetTile_ResponseSyntax) **   <a name="location-geomaps_GetTile-response-ETag"></a>
The pricing bucket for which the request is charged at.

 ** [PricingBucket](#API_geomaps_GetTile_ResponseSyntax) **   <a name="location-geomaps_GetTile-response-PricingBucket"></a>
The pricing bucket for which the request is charged at.

The response returns the following as the HTTP body.

 ** [Blob](#API_geomaps_GetTile_ResponseSyntax) **   <a name="location-geomaps_GetTile-response-Blob"></a>
The blob represents a vector tile in `mvt` or a raster tile in an image format.

## Errors
<a name="API_geomaps_GetTile_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The request was denied because of insufficient access or permissions. Check with an administrator to verify your permissions.  
HTTP Status Code: 403

 ** InternalServerException **   
The request processing has failed because of an unknown error, exception or failure.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
Exception thrown when the associated resource could not be found.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.    
 ** FieldList **   
A message with the reason for the validation exception error.  
 ** Reason **   
The field where the invalid entry was detected.
HTTP Status Code: 400

## See Also
<a name="API_geomaps_GetTile_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/geo-maps-2020-11-19/GetTile) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/geo-maps-2020-11-19/GetTile) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/geo-maps-2020-11-19/GetTile) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/geo-maps-2020-11-19/GetTile) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/geo-maps-2020-11-19/GetTile) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/geo-maps-2020-11-19/GetTile) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/geo-maps-2020-11-19/GetTile) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/geo-maps-2020-11-19/GetTile) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/geo-maps-2020-11-19/GetTile) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/geo-maps-2020-11-19/GetTile) 